Bug 61880 - syslog daemon doesn't correctly log the time for ftp sessions
Summary: syslog daemon doesn't correctly log the time for ftp sessions
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-25 15:11 UTC by Peter van Egdom
Modified: 2014-03-17 02:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-25 15:11:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter van Egdom 2002-03-25 15:11:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
When I upload a file as a guest-user (e.g. user with an entry in
"/var/ftp/etc/passwd"), the timestamp in "/var/log/xferlog" is wrong.

However, when I upload a file as a normal user (e.g. user with an entry in
"/etc/passwd") and look at the time in "/var/log/xferlog", the time is correct. 



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. ftp to machine as normal user, upload a file, quit
2. ftp to machine as guest user, upload a file, quit
3. look at /var/log/xferlog
	

Actual Results:  Time in "/var/log/xferlog" jumps from :
  "15:43"
    to 
  "14:44" 
    to 
  "15:46"



Expected Results:  Time in "/var/log/xferlog" jumps from :
  "15:43"
    to 
  "15:44" 
    to 
  "15:46"

Additional info:

(edited fragment from "/var/log/xferlog") :
Mon Mar 25 15:43:24 2002 1 testpc.testje.nl 41102 /home/peterve/superdat.log
Mon Mar 25 14:44:40 2002 1 testpc.testje.nl 40607 /var/ftp/foobar/superdat.log
Mon Mar 25 15:46:04 2002 1 testpc.testje.nl 41102 /home/peterve/superdat.log

Comment 1 Bill Nottingham 2002-06-12 06:21:35 UTC
You're one hour off of GMT, and your ftpd is chrooted.

Comment 2 Bill Nottingham 2002-06-12 06:21:57 UTC
Copying /etc/localtime into your ftp chroot may help this.


Note You need to log in before you can comment on or make changes to this bug.